Subject: Re: Proposed new kernel noncaching memory allocator for the 405gp

From: Frank Rowand <[email-masked]>
Date: Thu, 22 Mar 2001 13:14:30 -0800

Ralph Blach wrote:
>
> Frank,
>
> Yes, but these allocate on a page boundry and I was thinking of something a
> little more granular.
>
> Any objections?
>
> Chip
>
> Frank Rowand wrote:
>
> > Ralph Blach wrote:
> > >
> >
> > >
> > > David Blythe wrote:
> >
> > > > I think something more general then pci_alloc_consistent would be
> > > better
> > > > for devices that are not pci based.  We are still working on getting a
> > >
> > > > pci OHCI usb to work with the walnut card and are running into a lot
> > > of
> > > > cache coherency problems.
> >
> > Dan Malek has provided the functions consistent_alloc(), consistent_free(),
> > and consistent_sync() for uses other than PCI.  They are in linuxppc_2_5
> > rev 1.446 and later (I'm not sure if they are in any earlier version).
> > They are also in my active development kernel, but not yet in any kernel
> > that I have put on my ftp site.

Nope, but this sounds like a generic kernel issue to me, not a PowerPC issue.

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/